# Xymon RRD parameters
#
# This defines the number of datapoints stored for each RRD, and the
# RRD "consolidation functions" applied. See the rrdtool documentation
# for details.
#
# NB: Changes here only apply to newly created RRD files. To change 
# your existing RRD databases, use the rrdtool utilities to modify
# your existing files.
#
# Each section key is the column- or data-name reported from your
# client test. Typically this is "cpu", "memory", "tcp", or some
# custom test you have created.

# Definition for frequent ifmib polling (once per 60 seconds)
# The setup for this is identical in granularity to the default 
# setup, but since data is fed into the RRD once every 60 seconds, 
# we use 5 times as many Primary data points for each of the 
# Consolidated data points actually stored in the RRD file.
[ifmib/60]
	RRA:AVERAGE:0.5:5:576
	RRA:AVERAGE:0.5:30:576
	RRA:AVERAGE:0.5:120:576
	RRA:AVERAGE:0.5:1440:576


# This one is the default setup. You can change it, if you like.
[]
	# 576 datapoints w/ 5 minute interval = 48 hours @ 5 min avg.
	RRA:AVERAGE:0.5:1:576
	# 576 datapoints w/ 6*5 minute averaged = 12 days @ 30 min avg.
	RRA:AVERAGE:0.5:6:576
	# 576 datapoints w/ 24*5 minute averaged = 48 days @ 2 hour avg.
	RRA:AVERAGE:0.5:24:576
	# 576 datapoints w/ 288*5 minute averaged = 576 days @ 1 day avg.
	RRA:AVERAGE:0.5:288:576

